Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 601824 (CVE-2016-9907)

Summary: <app-emulation/qemu-2.8.0: usb: redirector: memory leakage when destroying redirector (CVE-2016-9907)
Product: Gentoo Security Reporter: Agostino Sarubbo <ago>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: minor CC: qemu+disabled
Priority: Normal Flags: stable-bot: sanity-check+
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://lists.gnu.org/archive/html/qemu-devel/2016-11/msg01379.html
Whiteboard: B4 [glsa cve cleanup]
Package list:
=app-emulation/qemu-2.8.0 amd64 x86 =sys-firmware/seabios-1.10.1 amd64 x86
Runtime testing required: ---
Bug Depends on: 604010    
Bug Blocks: 598330, 601450, 601826, 601830, 601832, 602626, 602628, 602630, 602632, 602634, 603444    

Description Agostino Sarubbo gentoo-dev 2016-12-06 16:14:33 UTC
From ${URL} :

Quick Emulator(Qemu) built with the USB redirector usb-guest support is 
vulnerable to a memory leakage flaw. It could occur while destroying the USB 
redirector in 'usbredir_handle_destroy'.

A guest user/process could use this issue to leak host memory, resulting in 
DoS for a host.

Upstream patch:
---------------
   -> https://lists.gnu.org/archive/html/qemu-devel/2016-11/msg01379.html



@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 SpanKY gentoo-dev 2016-12-29 18:52:39 UTC
this is in the 2.8.0 release
Comment 2 Thomas Deutschmann gentoo-dev Security 2017-01-01 18:56:22 UTC
@ Maintainer(s): Can we start stabilization of =app-emulation/qemu-2.8.0?
Comment 3 SpanKY gentoo-dev 2017-01-02 17:55:55 UTC
(In reply to Thomas Deutschmann from comment #2)

give it like two weeks and we can move forward if there are no reported bugs
Comment 4 Thomas Deutschmann gentoo-dev Security 2017-01-21 10:57:45 UTC
More than two weeks later, no new bugs (only bugs regarding unneeded deps which are now resolved), so let's start stabilization.


@ Arches,

please test and mark stable: =app-emulation/qemu-2.8.0
Comment 5 Stabilization helper bot gentoo-dev 2017-01-21 11:02:48 UTC
An automated check of this bug failed - repoman reported dependency errors (49 lines truncated): 

> dependency.bad app-emulation/qemu/qemu-2.8.0.ebuild: DEPEND: amd64(default/linux/amd64/13.0) ['~sys-firmware/seabios-1.10.1']
> dependency.bad app-emulation/qemu/qemu-2.8.0.ebuild: RDEPEND: amd64(default/linux/amd64/13.0) ['~sys-firmware/seabios-1.10.1']
> dependency.bad app-emulation/qemu/qemu-2.8.0.ebuild: DEPEND: amd64(default/linux/amd64/13.0/desktop) ['~sys-firmware/seabios-1.10.1']
Comment 6 Stabilization helper bot gentoo-dev 2017-01-21 12:41:22 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 7 Agostino Sarubbo gentoo-dev 2017-01-21 17:16:43 UTC
amd64 stable
Comment 8 Agostino Sarubbo gentoo-dev 2017-01-21 17:27:30 UTC
x86 stable.

Maintainer(s), please cleanup.
Security, please vote.
Comment 9 Thomas Deutschmann gentoo-dev Security 2017-01-21 22:51:37 UTC
Added to an existing GLSA request.


@ Maintainer(s): Please cleanup and drop <app-emulation/qemu-2.8.0!
Comment 10 GLSAMaker/CVETool Bot gentoo-dev 2017-01-23 03:04:36 UTC
This issue was resolved and addressed in
 GLSA 201701-49 at https://security.gentoo.org/glsa/201701-49
by GLSA coordinator Aaron Bauman (b-man).